link: release/3706
meta:
  added_date: 2014-06-08T10:45
  edited_date: 2022-11-27T09:39
  fetched_date: 2025-12-07T18:35
  ttl: 86400
  visitors: 438
name: 'Downtown Special: Kunio-kun no Jidaigeki da yo Zen''in Shuugou!'
name_real: ダウンタウンスペシャルくにおくんの時代劇だよ全員集合！
picture_full: https://media.vgm.io/releases/60/3706/3706-1669465469.jpg
picture_small: https://thumb-media.vgm.io/releases/60/3706/3706-1669465469.jpg
product_albums: []
release_albums: []
type: Game Release
vgmdb_link: https://vgmdb.net/db/release.php?id=3706
